#include<stdio.h>
#include<R.h>
#include<R_ext/Applic.h>

void myregress(double *x, int *n, int *p, double *y, 
	       double *beta, int *verbose) {
  int i, ncy=1, k, pivo[*p];
  double tol=0.00001, resid[*n], efe[*n], qra[*p], w[2*(*p)];
  F77_CALL(dqrls)(x, n, p, y, &ncy, &tol, beta, resid, 
		  efe, &k, pivo, qra, w);
  if (*verbose) {
    printf("Coefficients:\n");
    for (i=0; i<*p; i++)
      printf("%f\n", beta[i]);
  }
}

